Developer
Developer documentation and integration examples
Sub-categories
9 articles
16 articles
Articles
slswc_license_type_defaults
Filter default license types. Allows the default license types to be modified to add or remove license types. array $license_type_defaults The default license types to be filtered. Example usage:
slswc_license_types_to_save
Filter license types before save. Parameters:array $types The license types to be saved. Example usage:
slswc_all_licenses
Allow to filter licenses retrieved from database. array $all_licenses The formated list of licenses.array $licenses The raw licenses retrieved from database. Example usage:
slswc_get_licenses
Filters the license before being displayed on the licenses table. Parameters: array $all_licenses All the licenses retrieved to be displayed on the table. Example usage: Access and modify properties of a license.
slswc_license_table_columns
Filter the license table columns for the licenses table in admin. Parameters: array $columns The current list of column for license table. Example Usage: Remove purchase_date column
Actions
do_action( 'slswc_license_expired_notifications', $this, $mailer ); Run hook before sending expired license notification. This is mainly important for sending custom expired license notification emails or performing an action when sending expired emails. Parameters: $license – Instance of SLSWC_WooCommerce_License which the the license object. $mailer – The WC_Mailer object responsible for sending the expired license notification email. […]
Cache Expiry Filters
When caching is enabled. The cache expiry time can be changed by adding filters. The filters in the table below are the filters that can be used depending on which expiry time needs to be changed. Default values for all this filters is 12 hours but converted int an equivalent number of seconds using 12 […]
Products
GET /wp-json/slswc/v1/products Get a list of software products. Depending on the arguments provided, this will return publicly available information or include valid download information if user authentication or license keys were provided. Request Parameters Parameter Datatype Example Description Parameter Datatype Example Description type String required plugins/themes The type of software to be returned. query_args Array […]
Product
GET /wp-json/slswc/v1/product Get a single software product. This will return the publicly available information about the product/software. Parameter Datatype Example Description slug String required test-plugin The slug of the product/software being requested. Example failed response { "message": "Product not found", "product": null, "status": "not_found" } Example valid response { "status": "ok", "product": { "slug": "test-plugin", […]
Connect
POST /wp-json/slswc/v1/connect Connect a user’s account to the License Server API. If using the client, this will allow the user’s purchases to be retrieved through the API and thus allowing the customer to download and install products directly from the client. Parameter Datatype Example Description Parameter Datatype Example Description username String required username The customer’s […]